Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("Customers")> _
Public Class CustomersOrderDocuments 'Akiktől rendelhetünk, annak a devizához tartozó rendelési dokumentum kollekció
    Inherits BaseObject
    Private _OrderOutMainType As eOrderOutMainType 'Rendelés tipusa
    Private _CustomersOrder As CustomersOrder
    Private _ReportData As ReportData
    Private _CurrencyName As CurrencyName
    Private _NumberGenerator As NumberGenerator
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property OrderOutMainType As eOrderOutMainType
        Get
            Return _OrderOutMainType
        End Get
        Set(value As eOrderOutMainType)
            SetPropertyValue("OrderOutMainType", _OrderOutMainType, value)
        End Set
    End Property
    <Association("CustomersOrderDocuments", GetType(CustomersOrder))> _
    Property CustomersOrder() As CustomersOrder
        Get
            Return _CustomersOrder
        End Get
        Set(ByVal value As CustomersOrder)
            SetPropertyValue("CustomersOrder", _CustomersOrder, value)
        End Set
    End Property
    Property ReportData As ReportData
        Get
            Return _ReportData
        End Get
        Set(ByVal value As ReportData)
            SetPropertyValue("ReportData", _ReportData, value)
        End Set
    End Property
    Property CurrencyName As CurrencyName
        Get
            Return _CurrencyName
        End Get
        Set(ByVal value As CurrencyName)
            SetPropertyValue("CurrencyName", _CurrencyName, value)
        End Set
    End Property
    Property NumberGenerator As NumberGenerator
        Get
            Return _NumberGenerator
        End Get
        Set(ByVal value As NumberGenerator)
            SetPropertyValue("NumberGenerator", _NumberGenerator, value)
        End Set
    End Property
End Class





